# v.2.0.0

- rewritten from scratch to use rollup instead of webpack
- add mashup rollup plugin that handles code splitting, injects minimalistic chunk loader, and manages TP dependency sharing between separate chunks
- typescript now works out of the box
- use cosmiconfig for mashup configuration instead of relying on `mashup.json` file being present

### Breaking changes:

- configuration is now handled by cosmiconfig; as such, `mashup.json` is no longer valid config file name.
- rollup is now used internally, so your existing webpack config transform won't work.

### Migration guide:

- rename your `mashup.json` to `.mashuprc` or `.mashuprc.json`, or inline it under `"mashup"` key in your `package.json`.
- if you have any custom transform function, they will most likely not work, because they assume webpack configuration. 2.0 is written in rollup, so you'll need to update your custom transform. Ideally, the issue you were trying to fix with this transform is no longer present, and you don't need it at all.
- make sure both build and dev server work for you and produce correct output.
- if you use code splitting, verify that all chunks are handled correctly; you'll need to provde `--baseUrl` when using `build` to specify where your chunks reside.
