/**
 * A function that will be invoked in order to transform default create-mashup-app webpack config.
 * Uncomment 'configTransform' property in your mashup.json to make it work
 * @param {*} config original webpack config
 * @returns modified webpack config
 */
module.exports = function(config) {
    config.resolve.extensions.push('.ts', '.tsx');
    config.module.rules.push({
        test: /\.tsx?$/,
        exclude: [
            /tests/,
            /node_modules/
        ],
        use: 'awesome-typescript-loader'
    });

    return config;
};
